package net.risesoft.demo.config;

import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.cloud.client.serviceregistry.Y9ConsulAutoServiceRegistrationListener;
import org.springframework.cloud.consul.serviceregistry.ConsulAutoServiceRegistrationListener;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration(proxyBeanMethods = true)
public class Y9Config {

    @Bean
    public Y9Context y9Context() {
        return new Y9Context();
    }
    
    @Bean
    @ConditionalOnMissingBean(ConsulAutoServiceRegistrationListener.class)
    public Y9ConsulAutoServiceRegistrationListener y9ConsulAutoServiceRegistrationListener() {
        return new Y9ConsulAutoServiceRegistrationListener();
    }

}
