package net.risesoft.demo.controller;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

import org.springframework.cloud.client.ServiceInstance;
import org.springframework.cloud.client.discovery.DiscoveryClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import jakarta.servlet.http.HttpServletRequest;
import net.risesoft.demo.entity.User;
import net.risesoft.demo.repository.UserRepository;

@RestController
@RequestMapping
public class UserController {
	
	private final UserRepository userRepository;
	
	private final DiscoveryClient client;

	public UserController(UserRepository userRepository, DiscoveryClient client) {
		super();
		this.userRepository = userRepository;
		this.client = client;
	}

	@GetMapping({"", "/"})
	public List<String> hosts(HttpServletRequest request){
		List<String> list = new ArrayList<String>();
		list.add("serverName=" + request.getServerName());
		list.add("localAddr=" + request.getLocalAddr());
		
		/*List<ServiceInstance> instances = client.getInstances("demo01");
		ServiceInstance selectedInstance = instances.get(new Random().nextInt(instances.size()));
		list.add("serviceId=" + selectedInstance.getServiceId());
		list.add("host=" + selectedInstance.getHost());
		list.add("port=" + selectedInstance.getPort());*/
		
		return list;
	}
	
	@GetMapping({"/users"})
	public List<User> users(){
		return userRepository.findAll();
	}
}
