package org.springframework.cloud.client.serviceregistry;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.web.ServerProperties;
import org.springframework.boot.context.event.ApplicationReadyEvent;
import org.springframework.cloud.consul.discovery.ConsulDiscoveryProperties;
import org.springframework.cloud.consul.serviceregistry.ConsulAutoServiceRegistration;
import org.springframework.context.ApplicationListener;

public class Y9ConsulAutoServiceRegistrationListener implements ApplicationListener<ApplicationReadyEvent> {
	@Autowired
	private ConsulAutoServiceRegistration consulAutoServiceRegistration;

	@Autowired
	private ConsulDiscoveryProperties consulProperties;

	@Autowired
	private ServerProperties serverProperties;

	@Override
	public void onApplicationEvent(ApplicationReadyEvent event) {
		// 参考 ConsulAutoServiceRegistrationListener
		consulAutoServiceRegistration.getPort().compareAndSet(0, serverProperties.getPort());
		consulAutoServiceRegistration.start();
	}

}
